libebook::FB2XMLParserContext Class Reference documentation

Public Member Functions | List of all members
libebook::FB2XMLParserContext Class Referenceabstract

`#include <FB2XMLParserContext.h>`

Inheritance diagram for libebook::FB2XMLParserContext:

## Public Member Functions
virtual | ~FB2XMLParserContext ()=0
virtual FB2XMLParserContext * | leaveContext () const =0
| Destroy this context and return parent. More...
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)=0
| Create a context for parsing a child element. More...
virtual void | startOfElement ()=0
| Signalize the start of an element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)=0
| Process an attribute. More...
virtual void | endOfAttributes ()=0
| Signalize the end of attributes. More...
virtual void | text (const char *value)=0
| Process textual content of an element. More...

## Constructor & Destructor Documentation

## § ~FB2XMLParserContext()

libebook::FB2XMLParserContext::~FB2XMLParserContext | ( |  | ) |
| pure virtual

## Member Function Documentation

## § attribute()

virtual void libebook::FB2XMLParserContext::attribute | ( | const FB2TokenData & | name,
|  | const FB2TokenData * | ns,
|  | const char * | value
| ) |  |
| pure virtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implemented in libebook::FB2YearContext, libebook::FB2VersionContext, libebook::FB2TranslatorContext, libebook::FB2TitleInfoContext, libebook::FB2SrcUrlContext, libebook::FB2SrcTitleInfoContext, libebook::FB2SrcOcrContext, libebook::FB2SrcLangContext, libebook::FB2SequenceContext, libebook::FB2PublishInfoContext, libebook::FB2PublisherContext, libebook::FB2ProgramUsedContext, libebook::FB2PartContext, libebook::FB2OutputDocumentClassContext, libebook::FB2OutputContext, libebook::FB2NicknameContext, libebook::FB2MiddleNameContext, libebook::FB2LastNameContext, libebook::FB2LangContext, libebook::FB2KeywordsContext, libebook::FB2IsbnContext, libebook::FB2IdContext, libebook::FB2HomePageContext, libebook::FB2HistoryContext, libebook::FB2GenreContext, libebook::FB2FirstNameContext, libebook::FB2EmailContext, libebook::TextInfoContext, libebook::FB2DescriptionContext, libebook::FB2StyleContextBase, libebook::FB2DateContext, libebook::FB2TitleContext, libebook::FB2StanzaContext, libebook::FB2SkipElementContext, libebook::FB2CustomInfoContext, libebook::FB2SectionContext, libebook::FB2TextContextBase, libebook::FB2CoverpageContext, libebook::FB2PoemContext, libebook::FB2CityContext, libebook::FB2ImageContext, libebook::FB2TrContext, libebook::FB2InlineImageContext, libebook::FB2BookTitleContext, libebook::FB2EpigraphContext, libebook::FB2BookNameContext, libebook::FB2EmptyLineContext, libebook::FB2CellContext, libebook::FB2CiteContext, libebook::FB2AuthorContext, libebook::FB2AContext, libebook::FB2TableContext, libebook::FB2BodyContext, libebook::FB2AnnotationContext, libebook::FB2BinaryContext, and libebook::FB2ParaContextBase.

## § element()

virtual FB2XMLParserContext* libebook::FB2XMLParserContext::element | ( | const FB2TokenData & | name,
|  | const FB2TokenData & | ns
| ) |  |
| pure virtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implemented in libebook::FB2YearContext, libebook::FB2VersionContext, libebook::FB2TranslatorContext, libebook::FB2TitleInfoContext, libebook::FB2SrcUrlContext, libebook::FB2SrcTitleInfoContext, libebook::FB2SrcOcrContext, libebook::FB2SrcLangContext, libebook::FB2SequenceContext, libebook::FB2PublishInfoContext, libebook::FB2PublisherContext, libebook::FB2ProgramUsedContext, libebook::FB2PartContext, libebook::FB2OutputDocumentClassContext, libebook::FB2OutputContext, libebook::FB2NicknameContext, libebook::FB2MiddleNameContext, libebook::FB2LastNameContext, libebook::FB2LangContext, libebook::FB2KeywordsContext, libebook::FB2IsbnContext, libebook::FB2IdContext, libebook::FB2HomePageContext, libebook::FB2HistoryContext, libebook::FB2GenreContext, libebook::FB2FirstNameContext, libebook::FB2EmailContext, libebook::TextInfoContext, libebook::FB2DescriptionContext, libebook::FB2StyleContextBase, libebook::FB2TitleContext, libebook::FB2DateContext, libebook::FB2StanzaContext, libebook::FB2SkipElementContext, libebook::FB2CustomInfoContext, libebook::FB2SectionContext, libebook::FB2TextContextBase, libebook::FB2CoverpageContext, libebook::FB2PoemContext, libebook::FB2DataContextBase, libebook::FB2CityContext, libebook::FB2ImageContext, libebook::FB2TrContext, libebook::FB2BookTitleContext, libebook::FB2EpigraphContext, libebook::FB2BookNameContext, libebook::FB2CiteContext, libebook::FB2AuthorContext, libebook::FB2TableContext, libebook::FB2BodyContext, libebook::FB2BinaryContext, and libebook::FB2AnnotationContext.

## § endOfAttributes()

virtual void libebook::FB2XMLParserContext::endOfAttributes | ( |  | ) |
| pure virtual

Signalize the end of attributes.

Implemented in libebook::FB2YearContext, libebook::FB2VersionContext, libebook::FB2TranslatorContext, libebook::FB2TitleInfoContext, libebook::FB2SrcUrlContext, libebook::FB2SrcTitleInfoContext, libebook::FB2SrcOcrContext, libebook::FB2SrcLangContext, libebook::FB2SequenceContext, libebook::FB2PublishInfoContext, libebook::FB2PublisherContext, libebook::FB2ProgramUsedContext, libebook::FB2PartContext, libebook::FB2OutputDocumentClassContext, libebook::FB2OutputContext, libebook::FB2NicknameContext, libebook::FB2MiddleNameContext, libebook::FB2LastNameContext, libebook::FB2LangContext, libebook::FB2KeywordsContext, libebook::FB2IsbnContext, libebook::FB2IdContext, libebook::FB2HomePageContext, libebook::FB2HistoryContext, libebook::FB2GenreContext, libebook::FB2FirstNameContext, libebook::FB2EmailContext, libebook::TextInfoContext, libebook::FB2DescriptionContext, libebook::FB2StyleContextBase, libebook::FB2DateContext, libebook::FB2SkipElementContext, libebook::FB2CustomInfoContext, libebook::FB2TextContextBase, libebook::FB2CoverpageContext, libebook::FB2DataContextBase, libebook::FB2CityContext, libebook::FB2InlineImageContext, libebook::FB2BookTitleContext, libebook::FB2NodeContextBase, libebook::FB2BookNameContext, libebook::FB2CellContext, libebook::FB2AuthorContext, and libebook::FB2AContext.

## § endOfElement()

virtual void libebook::FB2XMLParserContext::endOfElement | ( |  | ) |
| pure virtual

Signalize the end of an element.

Implemented in libebook::FB2YearContext, libebook::FB2VersionContext, libebook::FB2TranslatorContext, libebook::FB2TitleInfoContext, libebook::FB2SrcUrlContext, libebook::FB2SrcTitleInfoContext, libebook::FB2SrcOcrContext, libebook::FB2SrcLangContext, libebook::FB2SequenceContext, libebook::FB2PublishInfoContext, libebook::FB2PublisherContext, libebook::FB2ProgramUsedContext, libebook::FB2PartContext, libebook::FB2OutputDocumentClassContext, libebook::FB2OutputContext, libebook::FB2NicknameContext, libebook::FB2MiddleNameContext, libebook::FB2LastNameContext, libebook::FB2LangContext, libebook::FB2KeywordsContext, libebook::FB2IsbnContext, libebook::FB2IdContext, libebook::FB2HomePageContext, libebook::FB2HistoryContext, libebook::FB2GenreContext, libebook::FB2FirstNameContext, libebook::FB2EmailContext, libebook::TextInfoContext, libebook::FB2DescriptionContext, libebook::FB2StyleContextBase, libebook::FB2DateContext, libebook::FB2TitleContext, libebook::FB2StanzaContext, libebook::FB2SkipElementContext, libebook::FB2CustomInfoContext, libebook::FB2SectionContext, libebook::FB2TextContextBase, libebook::FB2CoverpageContext, libebook::FB2PoemContext, libebook::FB2CityContext, libebook::FB2ImageContext, libebook::FB2TrContext, libebook::FB2InlineImageContext, libebook::FB2BookTitleContext, libebook::FB2EpigraphContext, libebook::FB2BookNameContext, libebook::FB2EmptyLineContext, libebook::FB2CellContext, libebook::FB2CiteContext, libebook::FB2AuthorContext, libebook::FB2TableContext, libebook::FB2BodyContext, libebook::FB2AnnotationContext, libebook::FB2BinaryContext, and libebook::FB2ParaContextBase.

## § leaveContext()

virtual FB2XMLParserContext* libebook::FB2XMLParserContext::leaveContext | ( |  | ) | const
| pure virtual

Destroy this context and return parent.

Todo:
  It would be handier to use shared_ptr to manage the context lifetimes.

Returns
  The parent context.

Implemented in libebook::FB2SkipElementContext, and libebook::FB2ParserContext.

## § startOfElement()

virtual void libebook::FB2XMLParserContext::startOfElement | ( |  | ) |
| pure virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implemented in libebook::FB2YearContext, libebook::FB2VersionContext, libebook::FB2TranslatorContext, libebook::FB2TitleInfoContext, libebook::FB2SrcUrlContext, libebook::FB2SrcTitleInfoContext, libebook::FB2SrcOcrContext, libebook::FB2SrcLangContext, libebook::FB2SequenceContext, libebook::FB2PublishInfoContext, libebook::FB2PublisherContext, libebook::FB2ProgramUsedContext, libebook::FB2PartContext, libebook::FB2OutputDocumentClassContext, libebook::FB2OutputContext, libebook::FB2NicknameContext, libebook::FB2MiddleNameContext, libebook::FB2LastNameContext, libebook::FB2LangContext, libebook::FB2KeywordsContext, libebook::FB2IsbnContext, libebook::FB2IdContext, libebook::FB2HomePageContext, libebook::FB2HistoryContext, libebook::FB2GenreContext, libebook::FB2FirstNameContext, libebook::FB2EmailContext, libebook::TextInfoContext, libebook::FB2DescriptionContext, libebook::FB2SupContext, libebook::FB2DateContext, libebook::FB2SubContext, libebook::FB2SkipElementContext, libebook::FB2StyleContext, libebook::FB2CustomInfoContext, libebook::FB2StrongContext, libebook::FB2TextContextBase, libebook::FB2CoverpageContext, libebook::FB2StrikethroughContext, libebook::FB2PoemContext, libebook::FB2DataContextBase, libebook::FB2CityContext, libebook::FB2InlineImageContext, libebook::FB2BookTitleContext, libebook::FB2NodeContextBase, libebook::FB2EmphasisContext, libebook::FB2BookNameContext, libebook::FB2CodeContext, libebook::FB2CellContext, libebook::FB2AuthorContext, libebook::FB2AContext, libebook::FB2TableContext, libebook::FB2BodyContext, libebook::FB2AnnotationContext, and libebook::FB2ParaContextBase.

## § text()

virtual void libebook::FB2XMLParserContext::text | ( | const char * | value | ) |
| pure virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implemented in libebook::FB2YearContext, libebook::FB2VersionContext, libebook::FB2TranslatorContext, libebook::FB2TitleInfoContext, libebook::FB2SrcUrlContext, libebook::FB2SrcTitleInfoContext, libebook::FB2SrcOcrContext, libebook::FB2SrcLangContext, libebook::FB2SequenceContext, libebook::FB2PublishInfoContext, libebook::FB2PublisherContext, libebook::FB2ProgramUsedContext, libebook::FB2PartContext, libebook::FB2OutputDocumentClassContext, libebook::FB2OutputContext, libebook::FB2NicknameContext, libebook::FB2MiddleNameContext, libebook::FB2LastNameContext, libebook::FB2LangContext, libebook::FB2KeywordsContext, libebook::FB2IsbnContext, libebook::FB2IdContext, libebook::FB2HomePageContext, libebook::FB2HistoryContext, libebook::FB2GenreContext, libebook::FB2FirstNameContext, libebook::FB2EmailContext, libebook::TextInfoContext, libebook::FB2DescriptionContext, libebook::FB2StyleContextBase, libebook::FB2DateContext, libebook::FB2SkipElementContext, libebook::FB2CustomInfoContext, libebook::FB2CoverpageContext, libebook::FB2DataContextBase, libebook::FB2CityContext, libebook::FB2BookTitleContext, libebook::FB2NodeContextBase, libebook::FB2BookNameContext, libebook::FB2AuthorContext, libebook::FB2AContext, libebook::FB2AnnotationContext, and libebook::FB2BinaryContext.

The documentation for this class was generated from the following files:

- FB2XMLParserContext.h
- FB2XMLParserContext.cpp